# Class VulkanDebugUtilsObjectNameInfoEXT

java.lang.Object
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsObjectNameInfoEXT

All Implemented Interfaces:
  `VulkanDebugUtilsObjectNameInfoEXTType`

public final class VulkanDebugUtilsObjectNameInfoEXT extends Object implements VulkanDebugUtilsObjectNameInfoEXTType
Specify parameters of a name to give to an object.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `VulkanDebugUtilsObjectNameInfoEXT.Builder`
  Builds instances of type `VulkanDebugUtilsObjectNameInfoEXT`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanDebugUtilsObjectNameInfoEXT.Builder`
  `builder()`
  Creates a builder for `VulkanDebugUtilsObjectNameInfoEXT`.
  `static VulkanDebugUtilsObjectNameInfoEXT`
  `copyOf(VulkanDebugUtilsObjectNameInfoEXTType instance)`
  Creates an immutable copy of a `VulkanDebugUtilsObjectNameInfoEXTType` value.
  `boolean`
  `equals(Object another)`
  This instance is equal to all instances of `VulkanDebugUtilsObjectNameInfoEXT` that have equal attribute values.
  `int`
  `hashCode()`
  Computes a hash code from attributes: `objectHandle`, `objectName`.
  `VulkanHandleType`
  `objectHandle()`
  `String`
  `objectName()`
  `String`
  `toString()`
  Prints the immutable value `VulkanDebugUtilsObjectNameInfoEXT` with attribute values.
  `final VulkanDebugUtilsObjectNameInfoEXT`
  `withObjectHandle(VulkanHandleType value)`
  Copy the current immutable object by setting a value for the `objectHandle` attribute.
  `final VulkanDebugUtilsObjectNameInfoEXT`
  `withObjectName(String value)`
  Copy the current immutable object by setting a value for the `objectName` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### objectHandle

    public VulkanHandleType objectHandle()
    Specified by:
      `objectHandle` in interface `VulkanDebugUtilsObjectNameInfoEXTType`
    Returns:
      The object handle

  - ### objectName

    public String objectName()
    Specified by:
      `objectName` in interface `VulkanDebugUtilsObjectNameInfoEXTType`
    Returns:
      The object name

  - ### withObjectHandle

    public final VulkanDebugUtilsObjectNameInfoEXT withObjectHandle(VulkanHandleType value)
    Copy the current immutable object by setting a value for the `objectHandle` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for objectHandle
    Returns:
      A modified copy of the `this` object

  - ### withObjectName

    public final VulkanDebugUtilsObjectNameInfoEXT withObjectName(String value)
    Copy the current immutable object by setting a value for the `objectName` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for objectName
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals(Object another)
    This instance is equal to all instances of `VulkanDebugUtilsObjectNameInfoEXT` that have equal attribute values.
    Overrides:
      `equals` in class `Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `objectHandle`, `objectName`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hashCode value

  - ### toString

    public String toString()
    Prints the immutable value `VulkanDebugUtilsObjectNameInfoEXT` with attribute values.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static VulkanDebugUtilsObjectNameInfoEXT copyOf(VulkanDebugUtilsObjectNameInfoEXTType instance)
    Creates an immutable copy of a `VulkanDebugUtilsObjectNameInfoEXTType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable VulkanDebugUtilsObjectNameInfoEXT instance

  - ### builder

    public static VulkanDebugUtilsObjectNameInfoEXT.Builder builder()
    Creates a builder for `VulkanDebugUtilsObjectNameInfoEXT`.

         VulkanDebugUtilsObjectNameInfoEXT.builder()
            .setObjectHandle(com.io7m.jcoronado.api.VulkanHandleType) // required objectHandle
            .setObjectName(String) // required objectName
            .build();

    Returns:
      A new VulkanDebugUtilsObjectNameInfoEXT builder